Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.i18n
Class JmsMessages

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.transport.jms.i18n.JmsMessages

    public class JmsMessages

extends MessageFactory

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`JmsMessages()`

Method Summary
`static Message` | `checkTransformer(String string, Class<?> class1, String name)`
`static Message` | `connectorDoesNotSupportSyncReceiveWhenTransacted()`
`static Message` | `errorCreatingConnectionFactory()`
`static Message` | `errorInitializingJndi()`
`static Message` | `errorMuleMqJmsSpecification()`
`static Message` | `failedToCreateAndDispatchResponse(Object object)`
`static Message` | `invalidResourceType(Class<?> expectedClass, Object object)`
`static Message` | `messageMarkedForRedelivery(MuleEvent event)`
`static Message` | `messageMarkedForRedelivery(MuleMessage message)`
`static Message` | `noConnectionFactoryConfigured()`
`static Message` | `noMessageBoundForAck()`
`static Message` | `sessionShouldBeTransacted()`
`static Message` | `sessionShouldNotBeTransacted()`
`static Message` | `tooManyRedeliveries(String messageId, int times, int maxRedelivery, ImmutableEndpoint endpoint)`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getClassLoader, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsMessages

    public JmsMessages()

Method Detail

### connectorDoesNotSupportSyncReceiveWhenTransacted

    public static Message connectorDoesNotSupportSyncReceiveWhenTransacted()

### sessionShouldBeTransacted

    public static Message sessionShouldBeTransacted()

### sessionShouldNotBeTransacted

    public static Message sessionShouldNotBeTransacted()

### noMessageBoundForAck

    public static Message noMessageBoundForAck()

### messageMarkedForRedelivery

    public static Message messageMarkedForRedelivery(MuleMessage message)

### messageMarkedForRedelivery

    public static Message messageMarkedForRedelivery(MuleEvent event)

### failedToCreateAndDispatchResponse

    public static Message failedToCreateAndDispatchResponse(Object object)

### tooManyRedeliveries

    public static Message tooManyRedeliveries(String messageId,
                                              int times,
                                              int maxRedelivery,
                                              ImmutableEndpoint endpoint)

### invalidResourceType

    public static Message invalidResourceType(Class<?> expectedClass,
                                              Object object)

### checkTransformer

    public static Message checkTransformer(String string,
                                           Class<?> class1,
                                           String name)

### noConnectionFactoryConfigured

    public static Message noConnectionFactoryConfigured()

### errorInitializingJndi

    public static Message errorInitializingJndi()

### errorCreatingConnectionFactory

    public static Message errorCreatingConnectionFactory()

### errorMuleMqJmsSpecification

    public static Message errorMuleMqJmsSpecification()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.